v8i and VS2005

v8i - so i have inherited this system when i took this job in April. version is 08.11.09.459 and sdk version 08.11.09.357

I was told at the time that i could only use vs 2005 to update any of the code. Please advise if i should be able to use anything newer